Bug 15577 - Border vagueness in definition of table width in fixed table layout
Border vagueness in definition of table width in fixed table layout
Status: NEW
Product: CSS
Classification: Unclassified
Component: CSS Level 2
unspecified
All Windows 3.1
: P2 normal
: ---
Assigned To: Bert Bos
public-css-bugzilla
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-15 20:06 UTC by Anton P
Modified: 2012-12-04 00:54 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Anton P 2012-01-15 20:06:01 UTC
Reported by Gérard Talbot

17.5.2.1 (Fixed table layout) says:
  # The width of the table is then the greater of the value of the
  # 'width' property for the table element and the sum of the column
  # widths (plus cell spacing or borders).

Which borders are being referred to?  Note that the difference between collapsed border model and separated border model introduces considerations here.

See also Bug 15460 (Unclear how non-auto width cell in first row determines column width in fixed table layout) where a similar consideration applies.

Conversation begins: http://lists.w3.org/Archives/Public/www-style/2011Nov/0368.html

Bug description: http://lists.w3.org/Archives/Public/www-style/2011Nov/0467.html
Comment 1 Anton P 2012-01-15 20:49:03 UTC
See related post about table widths in fixed layout: http://lists.w3.org/Archives/Public/www-style/2011Nov/0470.html
Comment 2 Gérard Talbot 2012-01-17 01:04:47 UTC
Thank you Anton for filing this bug.

All this bug is requesting is just a few words to make things perfectly clear and not be a source of interpretation or possible confusion.

Actual wording
--------------

"(plus cell spacing or borders)"


Proposal
--------
"(plus table border-spacing if the table uses the separated borders border
model or plus half of table borders if the table uses the collapsing
borders model)."

Gérard
Comment 3 Anton P 2012-05-21 12:29:31 UTC
See also Bug 17135: Border vagueness in definition of table height and in layout algorithms.